Subject: RE: Re[2]: [clisp-list] socket-wait problem on WinXP

From: "Jamison Masse" <[email-masked]>
Date: Sun Mar 23 23:18:14 2003

I've re-tested this code and found that there was no problem, sorry for the inconvenience.. I should have tried the magic reboot before concluding that it might be a bug, I suppose.

Jamison

-----Original Message-----
From:	Arseny Slobodjuck [mailto:[email-masked]]
Sent:	Sat 3/15/2003 7:55 AM
To:	[email-masked]
Cc:	Jamison Masse
Subject:	Re[2]: [clisp-list] socket-wait problem on WinXP
I don't see my messages appearing in mailing list so resending this
one. Sorry if there are duplicates.

>> The attached code is a test case intended to isolate this problem I have
>> been having with connecting multiple clients to a server. I want to
>> occasionally poll the socket to see if there are any clients waiting for a
>> connection. Under linux this code loops until a connection is made by a
>> client, as expected, but under WinXP the loop never terminates, the client
>> connects and is holding a connection to the server but the server code
>> doesn't acknowledge the connection. Is this a bug?

>> The WinXP machine is running Clisp 2.30 and WinXP SP-1

> I have no problem with this code on NT4.0 (clisp 2.30, 2.27, CVS) and
> on XP (2.27, CVS). I'll check ver. 2.30 on XP, but I don't expect it
> will fail.

> Could you try different telnets, different addresses (localhost,
> 127.0.0.1, your IP, your machine name) ?

I've checked clisp 2.30 with win XP - no problem.

-- 
Best regards,
 Arseny